Description

Hallo,

wenn ich mit einem Benutzer bei einem Client einsteige komme ich immer wieder auf den Anmeldebildschirm
auf der console:

No directory, logging in with HOME=/

Associated revisions

Revision d2bcea54 - 08/22/2017 02:15 PM - Elena Grandi

Restart systemd-timesyncd when its configuration has changed. refs: #360

Version bump to 8.0.19

History

#1 - 08/01/2017 11:09 AM - Elena Grandi

- Assignee set to Elena Grandi

#2 - 08/01/2017 11:26 AM - Elena Grandi

- Assignee changed from Elena Grandi to Helmut Oberholllenzer

Questo assomiglia ai vecchi casi di configurazione di fuss-client non andata a buon fine, che pero erano stati risolti.
Per investigare cosa sia successo servirebbe sapere:

e |e versioni di fuss-client e di fuss-server in uso rispettivamente su client e server

e il risultato del comando systemctl status home.mount

¢ |a presenza o meno sul client dei file /etc/krb5.keytab e di /root/krb5.keytab

idealmente sarebbe anche utile sapere (ma posso capire che non si abbia I'informazione):

¢ se |'ultima run di fuss-client -a ha dato errori (non basta rilanciarlo e leggere eventuali errori nuovi)
e se dopo l'installazione funzionavano ed hanno smesso di funzionare, cosa sia cambiato (per caso sono stati cambiati nomi delle macchine?)

A seconda delle risposte, ho in mente un paio di procedure per sistemare, ma cosa fare dipende dalle risposte sopra.
#3 - 08/01/2017 04:05 PM - Helmut Oberholllenzer

- File error-fussclient-a.JPG added

Ciao Elena,

le versioni di fuss-client e fuss-server sono le piu recenti.

lanciando su un client nuovo con tutti update il task fuss-client -a da un errore come vedi nell'immagine.

grazie e saluti.

#4 - 08/01/2017 04:34 PM - Helmut Oberholllenzer

Ciao Elena,

forse ho trovato I'errore: avevo installato sul server il pacchetto network-manager...
adesso sto facendo fuss-server purge e poi fuss-server create per fare i test..

sarebbe possibile quando si lancia fuss-server che ansible disinstalla questo pacchetto?

grazie
Helmut

#5 - 08/01/2017 05:08 PM - Helmut Oberholllenzer

- File error-fussclient-a.JPG added

Ciao Elena,

ho provato come detto ma non ha funzionato, ti mando un immagine:
sinistra server dove ho lanciato fuss-server test

destra client dove ho lanciato fuss-client -a

come vedi nell'immagine sto lavorando in ambiente proxmox..

grazie e saluti.

#6 - 08/01/2017 05:13 PM - Helmut Oberholllenzer
- File journalctl-xn.JPG added

L'output di journalctl-xn su client.

#7 - 08/02/2017 09:39 AM - Helmut Oberholllenzer
- Assignee changed from Helmut Oberholllenzer to Elena Grandi

#8 - 08/02/2017 10:55 AM - Elena Grandi

- Assignee changed from Elena Grandi to Helmut Oberholllenzer

Helmut Oberholllenzer ha scritto:

le versioni di fuss-client e fuss-server sono le piu recenti.

per avere uno storico piu accurato sarebbe meglio scrivere comunque il numero di versione precisa, in modo che tornando sul ticket in futuro si possa
sapere di che versione si stava parlando senza dover andare a scavare nel repository.

Ad esempio si puo usare il risultato del comando dpkg -I fuss-server e dpkg -l fuss-client rispettivamente.
Questa info non mi pare sia stata controllata:

® |a presenza o meno sul client dei file /etc/krb5.keytab e di /root/krb5.keytab

Riguardo invece a:

e se l'ultima run di fuss-client -a ha dato errori (non basta rilanciarlo e leggere eventuali errori nuovi)

ho visto gli screenshot delle esecuzioni: purtroppo parte delle informazioni importanti sono fuori dallo schermo, e quanto riportato non ¢ sufficiente per
capire cosa sia successo.

Anche per fuss-client valgono le indicazioni riportate su Bug_Reporting: il modo migliore di riportare il risultato delle esecuzioni & usare script e
allegare il typescript al ticket.

¢ se dopo l'installazione funzionavano ed hanno smesso di funzionare, cosa sia cambiato (per caso sono stati cambiati nomi delle
macchine?)

Se ho capito bene lo screenshot allegato al commento 5 si riferisce ad una macchina nuova, sulla quale non era mai stato lanciato fuss-client, e
quindi non & questo il caso, giusto? O & stata usata la stessa macchina del commento 3, e dopo la rimozione di network manager dal server & stato
solo lanciato fuss-client -a?

Riguardo alla rimozione di network manager invece chiedo prima agli altri se ci possono essere problemi a farlo, ma nel caso € una modifica
semplice.
https://work.fuss.bz.it/projects/server/wiki/Bug_Reporting

#9 - 08/02/2017 01:26 PM - Helmut Oberholllenzer

- File fuss-client added

Ciao Elena,

std usando le versioni fuss-server: 8.0.22-1
fuss-client: 8.0.18

lancio il commando fuss-client -a sempre su una macchina dove non ho mai lanciato fuss-client (uso un snapshot che ho fatto con proxmox)
sul server prima di fare i test cancello il pc del gruppo managed hosts dove era prima.
in allegato 'loutput del commando script.

grazie e saluti

#10 - 08/02/2017 03:02 PM - Elena Grandi

- Assignee changed from Helmut Oberholllenzer to Elena Grandi

#11 - 08/03/2017 03:12 PM - Elena Grandi

- Status changed from Nuovo to In elaborazione
(fatti tentativi di riprodurre il problema, senza risultato, provero ancora)

#12 - 08/04/2017 10:14 AM - Elena Grandi

- Assignee changed from Elena Grandi to Helmut Oberholllenzer

leri ho verificato i log, cercato di riprodurre la stessa situazione localmente, ma tutto senza risultato, a me funziona.
Mi & pero venuta l'idea che I'aggancio potrebbe essere stato fatto col nome sbagliato: per scoprirlo mi serve sapere:
e il risultato dei comandi hostname e hostname -f sia sul client che sul server
¢ il valore di domain impostato in /etc/fuss-server/fuss-server.yaml
e i contenuti di /usr/local/sbin/add_client_principal (sul server)
L]

i contenuti di /etc/krb5.conf (sul server e sul client)

purtroppo, dato che la situazione sembra succedere solo in questo specifico caso, c'é da indagare a fondo su cosa renda questo caso speciale.

#13 - 08/07/2017 04:06 PM - Helmut Oberholllenzer

- File output-rosmini-server added

Ciao Elena,

oggi ho installato un server nuovo alla scuola manzoni con proxmox e ho lo stesso problema...
ti mando i dati richiesti della scuola rosmini.

grazie

#14 - 08/08/2017 09:24 AM - Helmut Oberholllenzer

Ciao Elena,

oggi ho provato sul mio pc in ambiente virtualbox e non ho nessun problema a entratre con un utente,

anche fuss-client -a non da nessun errore al primo run.
Continuo a fare i test con proxmox forse riesco a trovare il problema..

Saluti

#15 - 08/08/2017 10:16 AM - Elena Grandi

- Assignee changed from Helmut Oberholllenzer to Elena Grandi

#16 - 08/08/2017 10:21 AM - Elena Grandi

- Assignee changed from Elena Grandi to Helmut Oberholllenzer

| dati del server mi paiono a posto.

Mancano pero i dati del client, per verificare che siano configurati correttamente rispetto al server:

e il risultato dei comandi hostname e hostname -f
e i contenuti di /etc/krb5.conf

#17 - 08/08/2017 10:30 AM - Helmut Oberholllenzer
- File client-output added

Ciao Elena,
i dati richiesti.

Saluti

#18 - 08/08/2017 10:39 AM - Elena Grandi

- File deleted (output-rosmini-server)

#19 - 08/08/2017 10:39 AM - Elena Grandi

- File output-rosmini-server added

Ho cancellato I'allegato e lo sto ricaricando dopo aver rimosso una password
#20 - 08/09/2017 03:11 PM - Helmut Oberholllenzer

- Assignee changed from Helmut Oberholllenzer to Elena Grandi

#21 - 08/10/2017 10:49 AM - Elena Grandi

- Assignee changed from Elena Grandi to Helmut Oberholllenzer

Chiedo scusa, avevo perso il nuovo attachment mentre facevo il giro di cancellazione password dal precedente.
Forse ho un indizio: in quell'aula per caso sono presenti pil client con lo stesso hostname "client"?

In quel caso nel momento in cui avviene I'aggancio per una macchina cancella I'autorizzazione per |'altra macchina con lo stesso nome, rendendo
impossibile il mount della /home.

#22 - 08/10/2017 11:50 AM - Helmut Oberholllenzer

Ciao Elena,

é il primo client che voglio aggiungere al server,
server e client in ambiente proxmox.

Saluti

#23 - 08/10/2017 02:03 PM - Elena Grandi

- Assignee changed from Helmut Oberholllenzer to Elena Grandi

#24 - 08/10/2017 02:10 PM - Elena Grandi

- Assignee changed from Elena Grandi to Helmut Oberholllenzer

sigh.

la prima volta il problema si era presentato con client su macchine vere? o sempre solo con server e client su promox?

#25 - 08/10/2017 05:17 PM - Helmut Oberholllenzer

server e client su proxmox.
Ma anche su macchine vere lerrore si & presente.

Vuoi che faviamo una conessione tipo temavierer cosi siamo piu veloci a risolvere
| problemi? (Ho 2 scuole dove non posso aggiungere i client...)

Sono di nuovo in ufficio il 21 agosto...

Saluti
#26 - 08/17/2017 08:52 AM - Helmut Oberholllenzer

- Assignee changed from Helmut Oberholllenzer to Elena Grandi

#27 - 08/21/2017 10:57 AM - Elena Grandi

- Assignee changed from Elena Grandi to Helmut Oberholllenzer

Possiamo avere accesso ssh alla macchina promox e al fuss-server in questione per fare un po' di indagini?

#28 - 08/21/2017 11:20 AM - Helmut Oberholllenzer

Ciao Elena,
scuola rosmini:

ip server proxmox 192.168.66.10
ip lan server fuss: 172.16.66.1

grazie.

#29 - 08/21/2017 02:49 PM - Helmut Oberholllenzer

- Assignee changed from Helmut Oberholllenzer to Elena Grandi

#30 - 08/21/2017 03:44 PM - Helmut Oberholllenzer

- Priority changed from Normale to Urgente

#31 - 08/21/2017 03:52 PM - Elena Grandi

(oggi abbiamo provato ad accedere, senza riuscirci, domani vediamo se possiamo risolvere noi o se dobbiamo chiedere qualcosa a voi)

#32 - 08/22/2017 09:00 AM - Helmut Oberholllenzer

Ciao Elena,
vuoi usare la scuola.manzoni? Stesso problema ma linea internet piu veloce
10.192.1.10

Saluti e grazie

#33 - 08/22/2017 11:38 AM - Elena Grandi

aggiornamento: stamattina siamo riusciti ad accedere a rosmini e stiamo facendo verifiche

#34 - 08/22/2017 03:12 PM - Elena Grandi

- Assignee changed from Elena Grandi to Helmut Oberholllenzer

Abbiamo trovato che il client su promox aveva la data sbagliata di diversi giorni, il che & un valido motivo per impedire il mount.

Facendolo ci siamo anche accorti che fuss-client abilitava la sincronizzazione dell'ora, ma non la faceva partire subito (partiva al riavvio successivo),
e quindi in questi casi non era pronta per tempo.
Ho uploadato la versione 8.0.19 di fuss-client che risolve quel problema della sincronizzazione.

Non ho ancora rilanciato fuss-client sul client (immagine promox): lo faccio per verificare che sia a posto oppure la cosa pud causare fastidi?

#35 - 08/22/2017 06:03 PM - Helmut Oberholllenzer
- Assignee changed from Helmut Oberholllenzer to Elena Grandi

- Priority changed from Urgente to Immediata

Ciao Elena,
non ha risolto il problema,
0ggi ho messo un nuovo server a chiusa anche su questo lo stesso errore. Senza Proxmox pero.

Adesso ho 3 scuole dove non posso andare avanti, in settembre iniziano le lezioni....

#36 - 08/23/2017 10:20 AM - Elena Grandi

- Assignee changed from Elena Grandi to Helmut Oberholllenzer

Stiamo per provare a lanciare il fuss-client sul client promox di rosmini, per fare ulteriore diagnostica.
Sarebbe meglio non farci sopra cose nel frattempo, per non confondere le acque.

Riassegno solo per conferma di lettura, ma intanto ci stiamo lavorando

#37 - 08/23/2017 03:18 PM - Elena Grandi

Con le indagini di stamattina abbiamo notato un'irregolarita nella configurazione del server: & stato impostato il nome 251202S01 con S maiuscola al
posto del corretto 251202s01.

Questo puo causare problemi in generale?, ed & causa del problema segnalato?; bisogna quindi fare attenzione quando si creano i server ad
impostare I'hostname usando solo lettere minuscole.

Per sistemare i server gia creati, se non si vuole rifare l'installazione da capo, si puo:

e modificare I'nostname della macchina in /etc/hostname e /etc/hosts

¢ riavviare il server?

¢ usare fuss-server purge per ritornare ad una situazione pulita

e rilanciare fuss-server create (notare che il file /etc/fuss-server/fuss-server.yaml viene mantenuto, quindi in questa fase non dovrebbe essere
chiesta nuovamente la configurazione)

' si potrebbe far ricaricare I'nostname, ma la cosa & un po' macchinosa, e

visto che comunque i client ancora non sono configurati si fa prima con un

riavvio/

2 il problema di fondo & che il DNS prevede che i domini siano case insensitive, mentre alcuni servizi sono case sensitive, e generalmente I'uso & di
normalizzare al minuscolo.

3 http://docs.oracle.com/cd/E19253-01/816-4557/seamplan-1/index.html (sezione Client and Service Principal Names): montando la home viene
contattato il principal nfs/fgdn.del.server@DOMINIO portato in forma canonica in minuscolo.
#38 - 08/23/2017 04:27 PM - Helmut Oberholllenzer

Ciao Elena,

grazie per i controlli, sto rifacendo i miei server..

sarebbe un idea di mettere un controllo nei programmi fuss-server e fuss-client che prima che partono fanno un controllo se il
hostname ¢ stato messo "corretto" ?

grazie e saluti.

#39 - 08/24/2017 09:19 AM - Paolo Dongilli

Helmut Oberholllenzer ha scritto:

Ciao Elena,

grazie per i controlli, sto rifacendo i miei server..

sarebbe un idea di mettere un controllo nei programmi fuss-server e fuss-client che prima che partono fanno un controllo se il

hostname & stato messo "corretto" ?

Ciao Helmut,

sono contrario all'implementazione di questo controllo, in quanto nel mondo Unix e Linux mettere hostname e domain name (e anche gli username) in

minuscolo & una prassi.

Un po' come ricordarsi di mettere l'iniziale dei nomi propri in maiuscolo o in tedesco per tutti i sostantivi.

#40 - 08/29/2017 06:19 PM - Helmut Oberholllenzer

- Status changed from In elaborazione to Risolto
